curl --request GET \
--url https://api.fanvue.com/posts/{uuid}/comments \
--header 'Authorization: Bearer <token>' \
--header 'X-Fanvue-API-Version: <x-fanvue-api-version>'import requests
url = "https://api.fanvue.com/posts/{uuid}/comments"
headers = {
"X-Fanvue-API-Version": "<x-fanvue-api-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-Fanvue-API-Version': '<x-fanvue-api-version>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.fanvue.com/posts/{uuid}/comments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"uuid": "550e8400-e29b-41d4-a716-446655440001",
"text": "Great content! Thanks for sharing!",
"user": {
"uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"handle": "sarah",
"displayName": "Sarah Johnson",
"nickname": null,
"isTopSpender": true
},
"createdAt": "2024-01-15T10:30:00.000Z",
"updatedAt": "2024-01-15T10:30:00.000Z"
},
{
"uuid": "550e8400-e29b-41d4-a716-446655440002",
"text": "Love this post!",
"user": {
"uuid": "b2c3d4e5-f678-90ab-cdef-123456789012",
"handle": "mike",
"displayName": "Mike Smith",
"nickname": null,
"isTopSpender": false
},
"createdAt": "2024-01-15T09:15:00.000Z",
"updatedAt": "2024-01-15T09:15:00.000Z"
},
{
"uuid": "550e8400-e29b-41d4-a716-446655440003",
"text": "[Comment from deleted user]",
"user": null,
"createdAt": "2024-01-14T18:00:00.000Z",
"updatedAt": "2024-01-14T18:00:00.000Z"
}
],
"pagination": {
"page": 1,
"size": 2,
"hasMore": false
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"message": "<string>"
}{
"error": "<string>",
"message": "<string>",
"nextVersion": "<string>"
}{
"error": "<string>"
}Get comments for a post
Returns a paginated list of comments on a specific post. Only the post owner can view comments.
Polling for real-time updates? Use a webhook instead.
If you are calling this endpoint on a schedule to detect new activity, subscribe to the creator.post.commented webhook event instead — you’ll get pushed updates in real time without polling. See the webhook documentation.
curl --request GET \
--url https://api.fanvue.com/posts/{uuid}/comments \
--header 'Authorization: Bearer <token>' \
--header 'X-Fanvue-API-Version: <x-fanvue-api-version>'import requests
url = "https://api.fanvue.com/posts/{uuid}/comments"
headers = {
"X-Fanvue-API-Version": "<x-fanvue-api-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-Fanvue-API-Version': '<x-fanvue-api-version>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.fanvue.com/posts/{uuid}/comments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"uuid": "550e8400-e29b-41d4-a716-446655440001",
"text": "Great content! Thanks for sharing!",
"user": {
"uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"handle": "sarah",
"displayName": "Sarah Johnson",
"nickname": null,
"isTopSpender": true
},
"createdAt": "2024-01-15T10:30:00.000Z",
"updatedAt": "2024-01-15T10:30:00.000Z"
},
{
"uuid": "550e8400-e29b-41d4-a716-446655440002",
"text": "Love this post!",
"user": {
"uuid": "b2c3d4e5-f678-90ab-cdef-123456789012",
"handle": "mike",
"displayName": "Mike Smith",
"nickname": null,
"isTopSpender": false
},
"createdAt": "2024-01-15T09:15:00.000Z",
"updatedAt": "2024-01-15T09:15:00.000Z"
},
{
"uuid": "550e8400-e29b-41d4-a716-446655440003",
"text": "[Comment from deleted user]",
"user": null,
"createdAt": "2024-01-14T18:00:00.000Z",
"updatedAt": "2024-01-14T18:00:00.000Z"
}
],
"pagination": {
"page": 1,
"size": 2,
"hasMore": false
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"message": "<string>"
}{
"error": "<string>",
"message": "<string>",
"nextVersion": "<string>"
}{
"error": "<string>"
}read:post— Read posts, including post details, comments, likes, and tips.
Authorizations
OAuth 2.0 access token, presented as a JWT bearer token in the Authorization header. Obtain a token via the authorization-code flow; the scopes granted to the token determine which operations it may call.
Headers
API version to use for the request
"2025-06-26"
Path Parameters
UUID of the post to retrieve comments for
Query Parameters
Page number to retrieve (starts from 1)
x >= 1Number of items to return per page (1-50, default: 15)
1 <= x <= 50Was this page helpful?